<div class="container">
    <div *ngIf="selectedFlightTicket">
        <h2>Flight Ticket Details</h2>
        <div class="card">
            <div class="card-body">
                <h4 class="card-title">Ticket ID: {{ selectedFlightTicket.id }}</h4>
                <p class="card-text">
                    <strong>Class:</strong> {{ selectedFlightTicket.flightClass }} <br>
                    <strong>Direction:</strong> {{ selectedFlightTicket.direction }} <br>
                    <strong>Seat Number:</strong> {{ selectedFlightTicket.seat_number }}
                </p>
            </div>
        </div>
        <div class="card" style="margin-top: 20px;">
            <div class="card-body">
                <h4 class="card-title">Flight Details</h4>
                <p class="card-text">
                    <strong>Flight ID:</strong> {{ selectedFlightTicket.flight.id }} <br>
                    <strong>From:</strong> {{ selectedFlightTicket.flight.airport_from.name }} <br>
                    <strong>To:</strong> {{ selectedFlightTicket.flight.airport_where.name }} <br>
                    <strong>Departure Date:</strong> {{ selectedFlightTicket.flight.departure_date | date:'MM/dd/yyyy
                    hh:mm' }} <br>
                    <strong>Arrival Date:</strong> {{ selectedFlightTicket.flight.arrival_date | date:'MM/dd/yyyy
                    hh:mm' }}
                </p>
            </div>

            <div class="col-12 text-center">
                <a [routerLink]="['/ticketList']" class="btn btn-primary flight-detail-btn">Back to List</a>
            </div>
        </div>
    </div>
</div>